--- /usr/src/linux/include/linux/modversions.h.orig	Mon Jan  8 15:09:48 2001
+++ /usr/src/linux/include/linux/modversions.h	Mon Jan  8 15:59:11 2001
@@ -21,55 +21,19 @@
 #undef __rh_modversion_included_file__
 #endif /* __rh_modversion_included_file__ */
 
-#if defined(__BOOT_KERNEL_UP) && (__BOOT_KERNEL_UP == 1)
-#include <linux/modversions-up.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_UP */
-
-#if defined(__BOOT_KERNEL_FB) && (__BOOT_KERNEL_FB == 1)
-#include <linux/modversions-fb.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_FB */
-
-#if defined(__BOOT_KERNEL_SMP) && (__BOOT_KERNEL_SMP == 1)
-#include <linux/modversions-smp.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_SMP */
-
-#if defined(__BOOT_KERNEL_SECURE) && (__BOOT_KERNEL_SECURE == 1)
-#include <linux/modversions-secure.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_SECURE */
+#if defined(__BOOT_KERNEL_MODVERSIONS_CURRENT)
 
-#if defined(__BOOT_KERNEL_BOOT) && (__BOOT_KERNEL_BOOT == 1)
-#include <linux/modversions-BOOT.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOT */
+#if defined(linux)
+#undef linux
+#include __BOOT_KERNEL_MODVERSIONS_CURRENT
+#define linux 1
+#else
+#include __BOOT_KERNEL_MODVERSIONS_CURRENT
+#endif /* linux */
 
-#if defined(__BOOT_KERNEL_BOOTSMP) && (__BOOT_KERNEL_BOOTSMP == 1)
-#include <linux/modversions-BOOTsmp.h>
 #define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_BOOTSMP */
 
-#if defined(__BOOT_KERNEL_LDV) && (__BOOT_KERNEL_LDV == 1)
-#include <linux/modversions-LDV.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_LDV */
-
-#if defined(__BOOT_KERNEL_HQ) && (__BOOT_KERNEL_HQ == 1)
-#include <linux/modversions-HQ.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_HQ */
-
-#if defined(__BOOT_KERNEL_SOHO) && (__BOOT_KERNEL_SOHO == 1)
-#include <linux/modversions-soho.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_SOHO */
-
-#if defined(__BOOT_KERNEL_CUSTOM) && (__BOOT_KERNEL_CUSTOM == 1)
-#include <linux/modversions-custom.h>
-#define __rh_modversion_included_file__ 1
-#endif /* __BOOT_KERNEL_CUSTOM */
+#endif /* __BOOT_KERNEL_MODVERSIONS_CURRENT */
 
 #if !defined(__rh_modversion_included_file__)
 #include <linux/modversions-up.h>
